Accounts fail to connect when Instantbird has been offline

VERIFIED FIXED in 0.3a1

Status

Instantbird
Account manager
--
major
VERIFIED FIXED
5 years ago
5 years ago

People

(Reporter: Instantbot, Assigned: florian)

Tracking

Details

(Reporter)

Description

5 years ago
*** Original post on bio 467 by deOmega <jahkae AT gmail.com> at 2010-08-05 16:05:00 UTC ***

version 0.3a1pre (20100805041703)

Program fails to log back into accounts when  I  awake the pc from sleep.

Account manager window pops up but no evidence of login attempts, and accounts remain disconnected.  Selecting 'connect' also does not resolve the issue.  To resolve this i have to restart IB.
*** Original post on bio 467 at 2010-08-05 16:11:37 UTC ***

Confirmed -- started once the switch to js-proto branch was made. (Changing version, platform to reflect.)
Status: UNCONFIRMED → NEW
Ever confirmed: true
OS: Windows 7 → All
Hardware: x86 → All
(Assignee)

Comment 2

5 years ago
*** Original post on bio 467 at 2010-08-05 21:39:08 UTC ***

This is a regression that occurred when I merged the js-proto branch. Leaving the offline status doesn't seem to work (impossible to connect).

When the computer is put to sleep, instantbird automatically switches to the offline status.

Thanks for reporting this. This bug is very annoying for people using instantbird on a laptop from different places. We need to fix it soon.
Severity: normal → major
Summary: Accounts fail to re-login after pc awakes. → Accounts fail to connect when Instantbird has been offline
(Assignee)

Comment 3

5 years ago
*** Original post on bio 467 at 2010-08-10 22:31:36 UTC ***

I've pushed https://hg.instantbird.org/instantbird/rev/c8a882b1dc77 which fixed the case when setting the Offline status by hand. I think it fixes also the case when the laptop is put to sleep, but I would welcome a confirmation.

The fix will be included in the next nightly.
Assignee: nobody → florian
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.3a1
*** Original post on bio 467 at 2010-08-11 22:01:10 UTC ***

Verified both manually selecting "Offline" and by putting my computer into standby on Windows 7 using nightly 0.3a1pre (20100811041857)
Status: RESOLVED → VERIFIED
(Reporter)

Comment 5

5 years ago
*** Original post on bio 467 by deOmega <jahkae AT gmail.com> at 2010-08-11 23:39:07 UTC ***

Now works fine for me also.  Thank you for addressing this issue.   Actually,  the program seems to reconnect even faster coming out of sleep than before... making me wonder if it even disconnected  (Good thing).
You need to log in before you can comment on or make changes to this bug.